<?php

    namespace pachno\modules\livelink_github;

    use pachno\core\entities\Project;
    use pachno\core\framework;
    use pachno\core\modules\livelink\Livelink;

    /**
     * Class Components
     *
     * @property Project $project
     *
     * @package pachno\modules\livelink_github
     */
    class Components extends framework\ActionComponent
    {

        public function componentConfigureConnector()
        {
            $this->module = Livelink_github::getModule();
            $this->connector = $this->module->getConnector();
        }

        public function componentImport_project()
        {
            $this->partial_options = Livelink::getModule()->getCurrentPartialOptions();
        }

        public function componentProjectBadge()
        {
            $module = Livelink_github::getModule();
            list($this->repository_user, $this->repository_name) = $module->getNormalizedRepositoryDetails($module->getProjectRepositoryUrl($this->project));
        }

    }
